import { HttpHeaders, HttpParams } from '@angular/common/http';
export interface IResponse {
    statusCode: number;
    status: string;
    message: string;
    data?: any;
}
export interface IRequest {
    headers?: HttpHeaders;
    requestPayload: any;
    requestParams?: HttpParams;
}
export declare abstract class Environment {
    abstract readonly production: boolean;
    abstract readonly ENV_VARIABLES: {
        readonly API_URL: string;
        readonly API_KEY: string;
    };
}
